Bug 51901 - Different line border format between Openoffice and LibreOffice
Summary: Different line border format between Openoffice and LibreOffice
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 51988 (view as bug list)
Depends on:
Blocks: Cell-Border
  Show dependency treegraph
 
Reported: 2012-07-09 09:06 UTC by Elcom
Modified: 2019-12-03 14:04 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file from openoffice (111.96 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-07-09 09:06 UTC, Elcom
Details
File open with OO - LO 3.4 (163.72 KB, image/jpeg)
2012-07-16 01:54 UTC, Elcom
Details
File open with LO 3.5x (160.68 KB, image/jpeg)
2012-07-16 01:59 UTC, Elcom
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Elcom 2012-07-09 09:06:25 UTC
Created attachment 64011 [details]
Sample file from openoffice

Line Border format from Openoffice cannot display correctly in Libreoffice.
Comment 1 Markus Mohrhard 2012-07-09 20:10:18 UTC
Please check 3.5.5RC3 or better 3.6.0Beta3.

We fixed several bugs in this area for 3.6
Comment 2 Elcom 2012-07-10 02:50:17 UTC
(In reply to comment #1)
> Please check 3.5.5RC3 or better 3.6.0Beta3.
> 
> We fixed several bugs in this area for 3.6

I tried with LO 3.5.5RC3 today and the problem still exists.
Comment 3 Valek Filippov 2012-07-12 05:25:47 UTC
*** Bug 51988 has been marked as a duplicate of this bug. ***
Comment 4 Markus Mohrhard 2012-07-13 06:44:20 UTC
Could you then please attach a screenshot how it should look like?
Comment 5 Elcom 2012-07-16 01:54:28 UTC
Created attachment 64249 [details]
File open with OO - LO 3.4

File Open with OO - LO 3.4
Comment 6 Elcom 2012-07-16 01:59:02 UTC
Created attachment 64250 [details]
File open with LO 3.5x

File open with LO 3.5.5
Please check row 8,22,27-40
Comment 7 Elcom 2012-07-16 02:00:57 UTC
(In reply to comment #4)
> Could you then please attach a screenshot how it should look like?

I uploaded a screenshot from both LO Version. Thx.
Comment 8 Pawel 2012-07-22 08:59:52 UTC
This bug is from version 3.5.1. od LO.  And in 3.6.0.2. still exist :-(
But printing this document from LO is OK - all look like in OO!!!
Comment 9 Noel Grandin 2012-09-06 14:39:36 UTC
Confirmed in 3.6.1.2 (Windows)
Comment 10 Arild Bjørk 2012-10-11 06:46:35 UTC
The bug is present in 3.6.2.2 (Windows). 

I really hope it will be fixed soon as opening spreadsheets from Excel is affected. Standard line size in Excel is 1 pt which shows up as thick lines in LibreOffice versions 3.5.5 and later.
Comment 11 Arild Bjørk 2012-10-20 13:30:58 UTC
This bug is also present in LibreOffice 3.5.7
Comment 12 Thomas Arnhold 2013-02-10 17:53:00 UTC
fdo#52100 is maybe related
Comment 13 QA Administrators 2015-04-01 14:41:26 UTC Comment hidden (obsolete)
Comment 14 Buovjaga 2015-04-23 13:49:51 UTC
I confirm the thick black style between rows 8-9 and 22-23

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 15 QA Administrators 2016-09-20 09:31:46 UTC Comment hidden (obsolete)
Comment 16 QA Administrators 2019-12-03 14:04:10 UTC
Dear Elcom,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug